Package org.eclipse.mat.inspections.osgi.model.eclipse

## Class ConfigurationElement

- java.lang.Object
- - org.eclipse.mat.inspections.osgi.model.eclipse.ConfigurationElement

    public class ConfigurationElement
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `ConfigurationElement.PropertyPair`

### Constructor Summary

Constructors
`ConfigurationElement​(int objectId, java.lang.String name, java.lang.Integer parentId, java.lang.Integer elementId, BundleDescriptor contributingBundle, java.lang.String[] propertiesAndValues)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addConfigurationElement​(ConfigurationElement configurationElement)`
`boolean` `equals​(java.lang.Object obj)`
`java.util.List<ConfigurationElement>` `getConfigurationElements()` Get nested configuration elements
`BundleDescriptor` `getContributingBundle()` Descriptor of the bundle contributing this element.
`java.lang.Integer` `getElementId()` Get element's unique identifier.
`java.lang.String` `getName()`
`int` `getObjectId()` Get objectId of the ConfigurationElement in the heap dump
`java.lang.Integer` `getParentId()` Get id of the parent element.
`java.util.List<ConfigurationElement.PropertyPair>` `getPropertiesAndValues()` Get the properties and the value of the configuration element.
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConfigurationElement

    public ConfigurationElement​(int objectId,
                                java.lang.String name,
                                java.lang.Integer parentId,
                                java.lang.Integer elementId,
                                BundleDescriptor contributingBundle,
                                java.lang.String[] propertiesAndValues)

### Method Detail

#### getObjectId

    public int getObjectId()

Get objectId of the ConfigurationElement in the heap dump

Returns:
  int objectId

#### getName

    public java.lang.String getName()

#### getParentId

    public java.lang.Integer getParentId()

Get id of the parent element. It can be a configuration element or an extension

Returns:
  Integer parentId

#### getElementId

    public java.lang.Integer getElementId()

Get element's unique identifier. This element is assigned a unique identifier by the Framework.

Returns:
  long bundle's unique identifier

#### getPropertiesAndValues

    public java.util.List<ConfigurationElement.PropertyPair> getPropertiesAndValues()

Get the properties and the value of the configuration element.

Returns:
  List<PropertyPair> properties

#### getContributingBundle

    public BundleDescriptor getContributingBundle()

Descriptor of the bundle contributing this element. This value can be null when the element is loaded from disk and the owner has been uninstalled.

Returns:
  BundleDescriptor of the bundle contributing this element

#### getConfigurationElements

    public java.util.List<ConfigurationElement> getConfigurationElements()

Get nested configuration elements

Returns:
  List<ConfigurationElement> nested configuration elements

#### addConfigurationElement

    public void addConfigurationElement​(ConfigurationElement configurationElement)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals​(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`